; ==============================================================================
;	MSX BIOS
;
;  Copyright (C) 2020 Takayuki Hara (HRA!)
;  All rights reserved.
;                           http://hraroom.s602.xrea.com/msx/software/mgsp.html
;
;  {\tgEFAі{\tgEFAɊÂč쐬ꂽh́Aȉ̏
;  ꍇɌAĔЕzюgp܂B
;
;  1.\[XR[h`ōĔЕzꍇAL̒쌠\A{ꗗAщL
;    Ɛӏ̂܂܂̌`ŕێ邱ƁB
;  2.oCi`ōĔЕzꍇAЕzɕt̃hLg̎ɁAL
;    쌠\A{ꗗAщLƐӏ܂߂邱ƁB
;  3.ʂɂ鎖ŐȂɁA{\tgEFA̔AяƓIȐi⊈
;    ɎgpȂƁB
;
;  {\tgEFÁA쌠҂ɂāû܂܁v񋟂Ă܂B쌠҂́A
;  ړIւ̓K̕ۏ؁Ai̕ۏ؁A܂Ɍ肳ȂAȂ閾
;  I͈ÖقȕۏؐӔC܂B쌠҂́AR̂킸AQ
;  ̌킸AӔC̍_ł邩iӔCł邩iߎ
;  ̑́js@sׂł邩킸Aɂ̂悤ȑQ\m
;  ĂƂĂA{\tgEFA̎gpɂĔi֕i܂͑pT
;  [rX̒BAgp̑rAf[^̑rAv̑rAƖ̒f܂߁A܂
;  Ɍ肳ȂjڑQAԐڑQAIȑQAʑQAIQA
;  ͌ʑQɂāAؐӔC𕉂Ȃ̂Ƃ܂B
;
;  Note that above Japanese version license is the formal document.
;  The following translation is only for reference.
;
;  Redistribution and use of this software or any derivative works,
;  are permitted provided that the following conditions are met:
;
;  1. Redistributions of source code must retain the above copyright
;     notice, this list of conditions and the following disclaimer.
;  2. Redistributions in binary form must reproduce the above
;     copyright notice, this list of conditions and the following
;     disclaimer in the documentation and/or other materials
;     provided with the distribution.
;  3. Redistributions may not be sold, nor may they be used in a
;     commercial product or activity without specific prior written
;     permission.
;
;  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
;  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
;  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
;  FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
;  COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
;  INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
;  BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
;  LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
;  CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
;  LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN
;  ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
;  POSSIBILITY OF SUCH DAMAGE.
; ------------------------------------------------------------------------------
;	Date		Author	Ver		Description
;	2020/9/22	t.hara	1.0		1st release
; ==============================================================================

chkram		:=			0x0000
synchr		:=			0x0008
rdslt		:=			0x000C
chrgtr		:=			0x0010
wrslt		:=			0x0014
outdo		:=			0x0018
calslt		:=			0x001c
dcompr		:=			0x0020
enaslt		:=			0x0024
getypr		:=			0x0028
callf		:=			0x0030
keyint		:=			0x0038
initio		:=			0x003b
inifnk		:=			0x003e
disscr		:=			0x0041
enascr		:=			0x0044
wrtvdp		:=			0x0047
rdvrm		:=			0x004a
wrtvrm		:=			0x004d
setrd		:=			0x0050
setwrt		:=			0x0053
filvrm		:=			0x0056
ldirmv		:=			0x0059
ldirvm		:=			0x005c
chgmod		:=			0x005f
chgclr		:=			0x0062
nmi			:=			0x0066
clrspr		:=			0x0069
initxt		:=			0x006c
init32		:=			0x006f
inigrp		:=			0x0072
inimlt		:=			0x0075
settxt		:=			0x0078
sett32		:=			0x007b
setgrp		:=			0x007e
setmlt		:=			0x0081
calpat		:=			0x0084
calatr		:=			0x0087
gspsiz		:=			0x008a
grpprt		:=			0x008d
gicini		:=			0x0090
wrtpsg		:=			0x0093
rdpsg		:=			0x0096
strtms		:=			0x0099
chsns		:=			0x009c
chget		:=			0x009f
chput		:=			0x00a2
lptout		:=			0x00a5
lptstt		:=			0x00a8
cnvchr		:=			0x00ab
pinlin		:=			0x00ae
inlin		:=			0x00b1
qinlin		:=			0x00b4
breakx		:=			0x00b7
beep		:=			0x00c0
cls			:=			0x00c3
posit		:=			0x00c6
fnksb		:=			0x00c9
erafnk		:=			0x00cc
dspfnk		:=			0x00cf
totext		:=			0x00d2
gtstck		:=			0x00d5
gttrig		:=			0x00d8
gtpad		:=			0x00db		; note: MSXturboRł̓Cgy(A=8`11)͏0Ԃ
gtpdl		:=			0x00de		; note: MSXturboRł͏0Ԃ
tapion		:=			0x00e1		; note: MSXturboRł͏Cy=1(G[)Ԃ
tapin		:=			0x00e4		; note: MSXturboRł͏Cy=1(G[)Ԃ
tapiof		:=			0x00e7		; note: MSXturboRł͏Cy=1(G[)Ԃ
tapoon		:=			0x00ea		; note: MSXturboRł͏Cy=1(G[)Ԃ
tapout		:=			0x00ed		; note: MSXturboRł͏Cy=1(G[)Ԃ
tapoof		:=			0x00f0		; note: MSXturboRł͏Cy=1(G[)Ԃ
stmotr		:=			0x00f3		; note: MSXturboRł͉ɕԂ
chgcap		:=			0x0132
chgsnd		:=			0x0135
rslreg		:=			0x0138
wslreg		:=			0x013b
rdvdp		:=			0x013e
snsmat		:=			0x0141
isflio		:=			0x014a
outdlp		:=			0x014d
kilbuf		:=			0x0156
calbas		:=			0x0159

; require MSX2
subrom		:=			0x015c
extrom		:=			0x015f
eol			:=			0x0168
bigfil		:=			0x016b
nsetrd		:=			0x016e
nstwrt		:=			0x0171
nrdvrm		:=			0x0174
nwrvrm		:=			0x0177
rdres		:=			0x017A
wrres		:=			0x017D

; require MSXturboR
chgcpu		:=			0x0180
getcpu		:=			0x0183
pcmply		:=			0x0186
pcmrec		:=			0x0189

; SUB-ROM (require MSX2)
sub_gtpprt	:=			0x0089
sub_nvbxln	:=			0x00c9
sub_nvbxfl	:=			0x00cd
sub_chgmod	:=			0x00d1
sub_initxt	:=			0x00d5
sub_init32	:=			0x00d9
sub_inigrp	:=			0x00dd
sub_inimlt	:=			0x00e1
sub_settxt	:=			0x00e5
sub_sett32	:=			0x00e9
sub_setgrp	:=			0x00ed
sub_setmlt	:=			0x00f1
sub_clrspr	:=			0x00f5
sub_calpat	:=			0x00f9
sub_calatr	:=			0x00fd
sub_gspsiz	:=			0x0101
sub_getpat	:=			0x0105
sub_wrtvrm	:=			0x0109
sub_rdvrm	:=			0x010d
sub_chgclr	:=			0x0111
sub_clssub	:=			0x0115
sub_dspfnk	:=			0x011d
sub_wrtvdp	:=			0x012d
sub_vdpsta	:=			0x0131
sub_setpag	:=			0x013d
sub_iniplt	:=			0x0141
sub_rstplt	:=			0x0145
sub_getplt	:=			0x0149
sub_setplt	:=			0x014d
sub_beep	:=			0x017d
sub_prompt	:=			0x0181
sub_newpad	:=			0x01ad		; note: MSXturboRł̓Cgy(A=8`11)͏0Ԃ
sub_chgmdp	:=			0x01b5
sub_knjprt	:=			0x01bd
sub_redclk	:=			0x01f5
sub_wrtclk	:=			0x01f9

h_prompt	:=			0xF24F		; hook: Disk change prompt (Require DISK DRIVE)

diskve		:=			0xF323		; 2bytes (Require DISK DRIVE)
breakv		:=			0xF325		; 2bytes (Require DISK DRIVE)
ramad0		:=			0xF341		; 1byte, Page0 RAM Slot (Require DISK DRIVE)
ramad1		:=			0xF342		; 1byte, Page1 RAM Slot (Require DISK DRIVE)
ramad2		:=			0xF343		; 1byte, Page2 RAM Slot (Require DISK DRIVE)
ramad3		:=			0xF344		; 1byte, Page3 RAM Slot (Require DISK DRIVE)
masters		:=			0xF348		; 1byte, MasterCartridgeSlot (Require DISK DRIVE)

rdprim		:=			0xF380		; 5bytes, {Xbg̓ǂݍ
wrprim		:=			0xF385		; 7bytes, {Xbgւ̏
clprim		:=			0xF38C		; 14bytes, {XbgR[

rg0sav		:=			0xF3DF		; 1byte, VDP R#0 ɏ񂾒l
rg1sav		:=			0xF3E0		; 1byte, VDP R#1 ɏ񂾒l
rg2sav		:=			0xF3E1		; 1byte, VDP R#2 ɏ񂾒l
rg3sav		:=			0xF3E2		; 1byte, VDP R#3 ɏ񂾒l
rg4sav		:=			0xF3E3		; 1byte, VDP R#4 ɏ񂾒l
rg5sav		:=			0xF3E4		; 1byte, VDP R#5 ɏ񂾒l
rg6sav		:=			0xF3E5		; 1byte, VDP R#6 ɏ񂾒l
rg7sav		:=			0xF3E6		; 1byte, VDP R#7 ɏ񂾒l
statfl		:=			0xF3E7		; 1byte, VDP S#0 ǂݍ񂾒l

fnkstr		:=			0xF87F		; 16byte * 10, t@NVL[ɑΉ镶

exbrsa		:=			0xFaF8		; 1byte, SUB-ROM ̃Xbgԍ

hokvld		:=			0xFB20

scrmod		:=			0xFCAF		; 1byte, ݂̃XN[[hԍ
oldscr		:=			0xFCB0		; 1byte, XN[[hۑGA

exptbl		:=			0xFCC1		; 4bytes, eXbg̊g̗L
slttbl		:=			0xFCC5		; 4bytes, eXbg̊gXbgWX^݂̌̑I
sltatr		:=			0xFCC9		; 64bytes, eXbgp̑
sltwrk		:=			0xFD09		; 128bytes, eXbgp̓̃[NGAm
procnm		:=			0xFD89		; 16bytes, gXe[gg, gfoCX̖O, ASCIIZ
device		:=			0xFD99		; 1byte, J[gbWp̑u

h_timi		:=			0xFD9F		; 5bytes, 荞ݔ̃tbN

extbio		:=			0xFFCA

rg8sav		:=			0xFFE7
rg9sav		:=			0xFFE8
